BeanContextEvent (Java 2 Platform SE v1.4.1_"07")

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.beans.beancontext
Class BeanContextEvent

    java.lang.Object
      |
      +--java.util.EventObject
            |
            +--java.beans.beancontext.BeanContextEvent

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  BeanContextMembershipEvent, BeanContextServiceAvailableEvent, BeanContextServiceRevokedEvent

public abstract class BeanContextEvent
extends EventObject

`BeanContextEvent` is the abstract root event class for all events emitted from, and pertaining to the semantics of, a `BeanContext`. This class introduces a mechanism to allow the propagation of `BeanContextEvent` subclasses through a heirarchy of `BeanContext`s. The `setPropagatedFrom()` and `getPropagatedFrom()` methods allow a `BeanContext` to identify itself as the source of a propagated event.

Since:
  1.2
See Also:
  `BeanContext`, Serialized Form

Field Summary
`protected BeanContext` | `propagatedFrom` The `BeanContext` from which this event was propagated

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`protected` | `BeanContextEvent(BeanContext bc)` Contruct a BeanContextEvent

Method Summary
`BeanContext` | `getBeanContext()` Gets the `BeanContext` associated with this event.
`BeanContext` | `getPropagatedFrom()` Gets the `BeanContext` from which this event was propagated.
`boolean` | `isPropagated()` Reports whether or not this event is propagated from some other `BeanContext`.
`void` | `setPropagatedFrom(BeanContext bc)` Sets the `BeanContext` from which this event was propagated.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### propagatedFrom

    protected BeanContext propagatedFrom

  The `BeanContext` from which this event was propagated

Constructor Detail

### BeanContextEvent

    protected BeanContextEvent(BeanContext bc)

  Contruct a BeanContextEvent

Parameters:
  `bc` - The BeanContext source

Method Detail

### getBeanContext

    public BeanContext getBeanContext()

  Gets the `BeanContext` associated with this event.

  Returns:
    the `BeanContext` associated with this event.

### setPropagatedFrom

    public void setPropagatedFrom(BeanContext bc)

  Sets the `BeanContext` from which this event was propagated.

  Parameters:
    `bc` - the `BeanContext` from which this event was propagated

### getPropagatedFrom

    public BeanContext getPropagatedFrom()

  Gets the `BeanContext` from which this event was propagated.

  Returns:
    the `BeanContext` from which this event was propagated

### isPropagated

    public boolean isPropagated()

  Reports whether or not this event is propagated from some other `BeanContext`.

  Returns:
    `true` if propagated, `false` if not

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2002 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.